<?php 
if( !defined('ISDVBBS') ){
	header('HTTP/1.0 404 Not Found');
	exit;
}
?>
<br>
<table width="100%"  border="0" align="center" cellpadding="0" cellspacing="0" class="tableborder">
<form name="f1" method="post" action="">
  <tr>
    <td class="tit1"><?echo $lang['tmp.info1']?></td>
  </tr>
  	  <?
		if(!empty($record_row))	{
			if(is_array($record_row)){
				$n=count($record_row);
				for($i=0;$i<$n-1;$i++){
					if(strcmp($i,$id)===0){
						$info_val=explode($lang['exp.chr'],$record_row[$i]);
					}
					$domain="http://".$_SERVER['HTTP_HOST']."/";
					$link_str=$info_val[1];
					if(strpos($link_str,'../')!==false){
						$link_str=str_replace('../',$domain,$link_str);
						if(strpos($link_str,'\\')!==false){
							$link_str=str_replace('\\','',$link_str);
						}
					}
				}
			}
		}
		$fileurl=explode('/',$_SERVER["PHP_SELF"]);
		if(count($fileurl)==4){
		$link_str=str_replace($domain,$domain.$fileurl[1].'/',$link_str);
		}
		elseif(count($fileurl)==5){
			$link_str=str_replace($domain,$domain.$fileurl[1].'/'.$fileurl[2].'/',$link_str);
		}
		elseif(count($fileurl)==6){	
			$link_str=str_replace($domain,$domain.$fileurl[1].'/'.$fileurl[2].'/'.$fileurl[3].'/',$link_str);
		}
		?>
  <tr>
    <td><blockquote>
		<table width="90%"  border="0" align="center" cellpadding="0" cellspacing="0" class="tableborder">
		  <tr>
			<td>&nbsp;</td>
		  </tr>
		  <tr>
			<td align="left"><?echo $lang['tmp.info2']?>
			  <input value="1" name="h1" type="hidden">
			  <input type="text" name="code" size="80" value="<?echo htmlspecialchars($link_str)?>">
			  <input type="button" value="<?echo $lang['tmp.info4']?>" onclick=Exec(code,'Copy')>			 
		   </td>
		  </tr>
		  <tr>
			<td align="left"><?echo $lang['tmp.info3']?></td>
		  </tr>
  <tr><td height="1" bgcolor="#0099FF" style="width:80%"></td></tr>
		</table>
	</blockquote></td>
  </tr>
  <tr>
    <td height="600" bgcolor="#ffffff" align="left" valign="top"><blockquote><?echo $link_str?></blockquote></td>
  </tr>
  <tr><td height="1" bgcolor="#0099FF" style="width:80%"></td></tr>
   <tr>
    <td height="30"><input type="button" name="Submit" onclick="window.close();" value="<?echo $lang['sys.info1']?>"></td>
  </tr>
  </form>
</table>
<script language=Jscript>
function Exec(obj,cmd){obj.select();document.execCommand(cmd)}
</script>